package dbrown;

import java.io.FileNotFoundException;

import javax.swing.JOptionPane;

/**
 * Starts the Hangman game with a text/console interface.
 *
 * @author David Brown
 * @version 2011-11-11
 *
 */
public class ConsoleMain {

    /**
     * @param args
     */
    public static void main(final String[] args) {
	final String filename = "phrases.txt";

	try {
	    // Instantiate the game and add set up the model view.
	    final Hangman model = new Hangman(filename);
	    final TextView view = new TextView(model);
	    view.play();
	} catch (final FileNotFoundException e) {
	    // If the phrases file cannot be opened, shut down the game.
	    JOptionPane.showMessageDialog(null, "Error: " + e.getMessage());
	}
    }

}
