package dbrown;

import javax.swing.JButton;

/**
 * Extends the Java <code>Button</code> class to simplify access to the letter
 * of the alphabet the button holds.
 *
 * @author David Brown (from Byron Weber Becker)
 * @version 2011-11-11
 */
@SuppressWarnings("serial")
public class LetterButton extends JButton {

    /**
     * The letter of the alphabet attached to the button.
     */
    private final char letter;

    /**
     * @param aLetter
     *            - the letter to attach to the button
     */
    public LetterButton(final char aLetter) {
	super("" + aLetter);
	this.letter = aLetter;
    }

    /**
     * @return the letter attached to the button
     */
    public char getLetter() {
	return this.letter;
    }
}
