package dbrown;

import java.io.FileNotFoundException;

import javax.swing.JFrame;
import javax.swing.JOptionPane;

/**
 * This is the main class for a GUI interface to the Hangman game.
 *
 * @author David Brown (from Byron Weber Becker)
 * @version 2011-11-11
 */
public class Main {

    public static void main(final String[] args) {
	final String filename = "phrases.txt";

	try {
	    // Instantiate the game and add set up the model view.
	    final Hangman model = new Hangman(filename);
	    final HangmanGUI view = new HangmanGUI(model);

	    final JFrame f = new JFrame("Hangman");
	    f.setContentPane(view);
	    f.setSize(500, 500);
	    f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	    f.setVisible(true);
	} catch (final FileNotFoundException e) {
	    // If the phrases file cannot be opened, shut down the game.
	    JOptionPane.showMessageDialog(null, "Error: " + e.getMessage());
	}
    }
}
